curl --request PUT \
--url https://api.hubapi.com/crm/objects/2026-03/{objectType}/{objectId}/associations/{toObjectType}/{toObjectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 123
}
]
'{
"fromObjectId": "<string>",
"fromObjectTypeId": "<string>",
"labels": [
"<string>"
],
"toObjectId": "<string>",
"toObjectTypeId": "<string>"
}curl --request PUT \
--url https://api.hubapi.com/crm/objects/2026-03/{objectType}/{objectId}/associations/{toObjectType}/{toObjectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 123
}
]
'{
"fromObjectId": "<string>",
"fromObjectTypeId": "<string>",
"labels": [
"<string>"
],
"toObjectId": "<string>",
"toObjectTypeId": "<string>"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
successful operation
The relationship descriptors applicable between two object types.
Was this page helpful?